# Class: T

## ProtoBuf.Reflect. T

#### (abstract) new T(buildernon-null, parentnullable, name)

  Constructs a Reflect base class.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `builder` | ProtoBuf.Builder |  | Builder reference
  `parent` | ProtoBuf.Reflect.T | <nullable> | Parent object
  `name` | string |  | Object name

  Source:
    - ProtoBuf.js, line 1345

### Members

#### (non-null) builder :ProtoBuf.Builder

  Builder reference.

  ##### Type:

  - ProtoBuf.Builder
  Source:
    - ProtoBuf.js, line 1352

#### className :string

  Fully qualified class name

  ##### Type:

  - string
  Source:
    - ProtoBuf.js, line 1373

#### name :string

  Object name in namespace.

  ##### Type:

  - string
  Source:
    - ProtoBuf.js, line 1366

#### (nullable) parent :ProtoBuf.Reflect.T

  Parent object.

  ##### Type:

  - ProtoBuf.Reflect.T
  Source:
    - ProtoBuf.js, line 1359

### Methods

#### build()

  Builds this type.

  Source:
    - ProtoBuf.js, line 1414

  ##### Throws:

  If this type cannot be built directly
  Type
    Error

#### fqn() → {string}

  Returns the fully qualified name of this object.

  Source:
    - ProtoBuf.js, line 1387

  ##### Returns:

  Fully qualified name as of ".PATH.TO.THIS"

  Type
    string

#### toString(includeClassopt)

  Returns a string representation of this Reflect object (its fully qualified name).

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `includeClass` | boolean | <optional> | Set to true to include the class name. Defaults to false.

  Source:
    - ProtoBuf.js, line 1405

  ##### Returns:

  String representation